Package wx :: Class HelpProvider

[frames | no frames]

## Type HelpProvider

    object --+
             |
            HelpProvider

Known Subclasses:
  `SimpleHelpProvider`

wx.HelpProvider is an abstract class used by a program implementing context-sensitive help to show the help text for the given window.

The current help provider must be explicitly set by the application using wx.HelpProvider.Set().

Method Summary
| `__init__(self)`
| `__del__(self)`
| ``AddHelp`(self, window, text)` Associates the text with the given window.
| ``AddHelpById`(self, id, text)` This version associates the given text with all windows with this id.
| `Destroy(self)`
HelpProvider | ``Get`()` Return the current application-wide help provider. (Static method)
String | ``GetHelp`(self, window)` Gets the help string for this window.
| ``RemoveHelp`(self, window)` Removes the association between the window pointer and the help text.
HelpProvider | ``Set`(helpProvider)` Sset the current, application-wide help provider. (Static method)
bool | ``ShowHelp`(self, window)` Shows help for the given window.
bool | ``ShowHelpAtPoint`(self, window, pt, origin)` Show help for the given window (uses window.GetHelpAtPoint() internally if applicable), return true if it was done or false if no help available for this window.

Property Summary
| `thisown`: The membership flag

Instance Method Details

### AddHelp(self, window, text)

Associates the text with the given window.

  Parameters:
    `window`
    (type=Window)

    `text`
    (type=String)

### AddHelpById(self, id, text)

This version associates the given text with all windows with this id. May be used to set the same help string for all Cancel buttons in the application, for example.

  Parameters:
    `id`
    (type=int)

    `text`
    (type=String)

### GetHelp(self, window)

Gets the help string for this window. Its interpretation is dependent on the help provider except that empty string always means that no help is associated with the window.

  Parameters:
    `window`
    (type=Window)

  Returns:
    String

### RemoveHelp(self, window)

Removes the association between the window pointer and the help text. This is called by the wx.Window destructor. Without this, the table of help strings will fill up and when window pointers are reused, the wrong help string will be found.

  Parameters:
    `window`
    (type=Window)

### ShowHelp(self, window)

Shows help for the given window. Uses GetHelp internally if applicable. Returns True if it was done, or False if no help was available for this window.

  Parameters:
    `window`
    (type=Window)

  Returns:
    bool

### ShowHelpAtPoint(self, window, pt, origin)

Show help for the given window (uses window.GetHelpAtPoint() internally if applicable), return true if it was done or false if no help available for this window.

  Parameters:
    `window`
    (type=wxWindowBase)

    `pt`
    (type=Point)

    `origin`
    (type=int)

  Returns:
    bool

Static Method Details

### Get()

Return the current application-wide help provider.

  Returns:
    HelpProvider

### Set(helpProvider)

Sset the current, application-wide help provider. Returns the previous one. Unlike some other classes, the help provider is not created on demand. This must be explicitly done by the application.

  Parameters:
    `helpProvider`
    (type=HelpProvider)

  Returns:
    HelpProvider

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:17 2007 | http://epydoc.sf.net